C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_GET_SPGRP      **
C****************************
C
CD-Routine: Get Basic Space Group Details - KSM_GET_SPGRP
C This routine renturns where possible the space group number and name and
C the number of primitive and total number of symmetry operators.
CD-end
CD-Fortran:
      SUBROUTINE KSM_GET_SPGRP (NSPG, SPGNAME, NSYMMP, NSYMM)
CD-end
C
C Purpose: Get some symmetry data (Convenience routine cf KSM_GET_SYMM)
C
C Author:  John W. Campbell, July 1995 (from LDM_GET_SPGRP)
C
C Arguments:
C
      INTEGER NSPG
      CHARACTER*(*) SPGNAME
      INTEGER NSYMMP
      INTEGER NSYMM

CD-Parameters:
C  NSPG     i (W)   Space group number (will be 0 if symmetry operators were
C                   input explicitly.
C  SPGNAME  c  (W)  Space group name (will be blank if symmetry operators 
C                   were input explicitly) (10 characters)
C  NSYMMP   i (W)   No. of primitive symmetry operators
C  NSYMM    i (W)   Total number of symmetry operators (0 if symmetry not
C                   defined)
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      NSPG = NSPGRP
      SPGNAME = SPGNAM
      NSYMMP = NSYMP
      NSYMM = NSYM
      RETURN
      END
