
C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*********************
C**     RPF_LPS     **
C*********************
C
C
      SUBROUTINE RPF_LPS (NLOOP, Q1, Q2, R1, R2, IRLB, IRLE)
C
C
C PURPOSE: Get loop limits for R
C          Used in REEKE algorithm - called by RPF_PREDICT
C
C AUTHOR:  From MADNES - PRDLPS
C
C *** SERVICE ROUTINE ONLY ***
C
C ARGUMENTS:
C
      INTEGER NLOOP
      REAL Q1
      REAL Q2
      REAL R1
      REAL R2
      INTEGER IRLB(2)
      INTEGER IRLE(2)
C 
C NLOOP   (R)
C Q1      (R)
C Q2      (R)
C R1      (R)
C R2      (R)
C IRLB(2) (w)
C IRLE(2) (W)   
C
C====== Parameter statements
C 

C
C====== GLOBALS:
C

C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
      INTEGER   INTB, INTE
      REAL      A
C
C-------------------------------------------------------------------------------
C
      INTB(A) = INT(A-1.0)
      INTE(A) = INT(A+1.0)
C
      IRLB(1) = INTB(Q1)
      IRLE(1) = INTE(Q2)
      IF (NLOOP .GT. 1) THEN
         IRLB(2) = INTB(R1)
         IRLE(2) = INTE(R2)
      ENDIF
      RETURN
      END
